Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaeewebservicesclient12
Interface ServiceRefHandlerChainsType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServiceRefHandlerChainsTypeImpl

    public interface ServiceRefHandlerChainsType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `service-ref_handler-chainsType` xsd type

Original Documentation:

The handler-chains element defines the handlerchains associated with this
service or service endpoint.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>>>` | `getHandlerChainList()` Returns all `handler-chain` elements
`ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>>` | `handlerChain()` Returns the `handler-chain` element
`ServiceRefHandlerChainsType<T>` | `removeAllHandlerChain()` Removes all `handler-chain` elements

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllHandlerChain

    ServiceRefHandlerChainsType<T> removeAllHandlerChain()

  Removes all `handler-chain` elements

  Returns:
    the current instance of `ServiceRefHandlerChainsType`

### handlerChain

    ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>> handlerChain()

  Returns the `handler-chain` element

  Returns:
    the node defined for the element `handler-chain`

### getHandlerChainList

    java.util.List<ServiceRefHandlerChainType<ServiceRefHandlerChainsType<T>>> getHandlerChainList()

  Returns all `handler-chain` elements

  Returns:
    list of `handler-chain`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD